Bug 1540239 - [RFE] Gnocchi storage plugin [python-collectd-gnocchi]
Summary: [RFE] Gnocchi storage plugin [python-collectd-gnocchi]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M3
: 13.0 (Queens)
Assignee: Martin Magr
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On: 1488374
Blocks: 1488155 1550313
TreeView+ depends on / blocked
 
Reported: 2018-01-30 15:09 UTC by Matthias Runge
Modified: 2018-07-09 19:55 UTC (History)
17 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.2-2.el7ost
Doc Type: Enhancement
Doc Text:
This enhancement adds support for sending metrics data to a Gnocchi DB instance. The following new parameters for collectd composable service were added. If CollectdGnocchiAuthMode is set to 'simple', then CollectdGnocchiProtocol, CollectdGnocchiServer, CollectdGnocchiPort and CollectdGnocchiUser are taken into account for configuration. If CollectdGnocchiAuthMode is set to 'keystone', then CollectdGnocchiKeystone* parameters are taken into account for configuration. Following is a detailed description of added parameters: CollectdGnocchiAuthMode: type: string description: > Type of authentication Gnocchi server is using. Supported values are 'simple' and 'keystone'. default: 'simple' CollectdGnocchiProtocol: type: string description: API protocol Gnocchi server is using. default: 'http' CollectdGnocchiServer: type: string description: > The name or address of a gnocchi endpoint to which we should send metrics. default: nil CollectdGnocchiPort: type: number description: The port to which we will connect on the Gnocchi server. default: 8041 CollectdGnocchiUser: type: string description: > Username for authenticating to the remote Gnocchi server using simple authentication. default: nil CollectdGnocchiKeystoneAuthUrl: type: string description: Keystone endpoint URL to authenticate to. default: nil CollectdGnocchiKeystoneUserName: type: string description: Username for authenticating to Keystone. default: nil CollectdGnocchiKeystoneUserId: type: string description: User ID for authenticating to Keystone. default: nil CollectdGnocchiKeystonePassword: type: string description: Password for authenticating to Keystone default: nil CollectdGnocchiKeystoneProjectId: type: string description: Project ID for authenticating to Keystone. default: nil CollectdGnocchiKeystoneProjectName: type: string description: Project name for authenticating to Keystone. default: nil CollectdGnocchiKeystoneUserDomainId: type: string description: User domain ID for authenticating to Keystone. default: nil CollectdGnocchiKeystoneUserDomainName: type: string description: User domain name for authenticating to Keystone. default: nil CollectdGnocchiKeystoneProjectDomainId: type: string description: Project domain ID for authenticating to Keystone. default: nil CollectdGnocchiKeystoneProjectDomainName: type: string description: Project domain name for authenticating to Keystone. default: nil CollectdGnocchiKeystoneRegionName: type: string description: Region name for authenticating to Keystone. default: nil CollectdGnocchiKeystoneInterface: type: string description: Type of Keystone endpoint to authenticate to. default: nil CollectdGnocchiKeystoneEndpoint: type: string description: > Explicitly state Gnocchi server URL if you want to override Keystone value default: nil CollectdGnocchiResourceType: type: string description: > Default resource type created by the collectd-gnocchi plugin in Gnocchi to store hosts. default: 'collectd' CollectdGnocchiBatchSize: type: number description: Minimum number of values Gnocchi should batch. default: 10
Clone Of: 1488374
Environment:
Last Closed: 2018-06-27 13:43:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 526122 None MERGED Enable collectd to send metrics to Gnocchi 2020-04-09 09:11:05 UTC
OpenStack gerrit 562372 None MERGED Default collectd to overcloud gnocchi 2020-04-09 09:11:05 UTC
OpenStack gerrit 563908 None MERGED Default collectd to overcloud gnocchi 2020-04-09 09:11:05 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:44:12 UTC

Comment 7 Matthias Runge 2018-02-07 10:24:15 UTC
From looking at a recent undercloud with OSP13 installed, it seems to be included already.

Comment 10 Leonid Natapov 2018-02-13 16:45:36 UTC
Verified. /usr/share/openstack-tripleo-heat-templates/puppet/services/metrics/collectd.yaml includes Gnocchi code.

Comment 18 Leonid Natapov 2018-05-08 12:31:38 UTC
tested that collectd-gnocchi deployed by default by overcloud deployment and that metreics from the plugins are coming to the internal gnocchi instance.

Comment 20 errata-xmlrpc 2018-06-27 13:43:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.